eID middleware |

# eIDMW::PTEID_Picture Class Reference

Class for the picture document on a EID Card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Picture:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_Picture ()
| Destructor.
PTEIDSDK_API const PTEID_ByteArray & | getData ()
| Return the picture itself (jpg format).
PTEIDSDK_API const PTEID_ByteArray & | getHash ()
| Return the hash of the picture.
## Friends
PTEID_Picture & | PTEID_EIDCard::getPicture ()
| For internal use : This method must access protected constructor.

## Detailed Description

Class for the picture document on a EID Card.

You can get such an object from PTEID_EIDCard::getPicture() (or getDocument).

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Picture::~PTEID_Picture | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_Picture::getData | ( |  | ) |

Return the picture itself (jpg format).

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_Picture::getHash | ( |  | ) |

Return the hash of the picture.

## Friends And Related Function Documentation

PTEID_Picture& PTEID_EIDCard::getPicture | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h